Subject: [IPTEL] Re: TRIP

From: S_S_Dinesh/India/[email-masked]
Date: Mon, 8 May 2000 14:10:25 +0530

> John Mainwaring wrote:
>
> |> Note that we could also allow switch B to advertise
> |+1-212-455-1234 in
> |> TRIP. If the LNP dip is not done, the proxy will pick this because
> of
> |> longest prefix matching, and the call still completes.
> |However, I would
> |> recommend doing this, since it will result in a completely flat
> TRIP
> |> routing table.
>
> I assume that's a typo for "recommend NOT doing this".  In the same
> way, it may be best not to attempt to maintain full portability
> information or do LNP queries at source for all calls, no matter where
> they're bound.

Yes, that was a typo. I do not recommend injecting each ported number
into TRIP.
I'm less sure about deferring the LNP query to N-1. In the SIP
architecture,
at least, each proxy is responsible for doing a translation function
(called the
location service), which is similar in concept to an LNP database query.
I'll also
note that I have been told that the LNP dip being done at the N-1
carrier is
only a north american thing, and that in Europe, its done differently.

-Jonathan R.

--
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

---------
This message came from the IETF IPTEL Working Group Mailing List.

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel